eidenv
1
OpenSC
OpenSC Tools
opensc

# eidenv

utility for accessing visible data from electronic identity cards

    			eidenv
    			OPTIONS

## Description

The `eidenv` utility is used for accessing data from electronic identity cards (like national eID cards) which might not be present in PKCS#15 objects but available in custom files on the card. The data can be printed on screen or used by other programs via environment variables.

## Options

`--exec` prog, `-x` prog

  Executes the given program with data in environment variables.

`--help`, `-h`

  Print help message on screen.

`--print`, `-p`

  Prints all data fields from the card, like validity period, document number etc.

`--reader` arg, `-r` arg

  Number of the reader to use. By default, the first reader with a present card is used. If arg is an ATR, the reader with a matching card will be chosen.

`--stats`, `-t`

  Prints key usage statistics (only for Estonian ID card).

`--version`, `-v`

  Prints the version of the utility and exits.

`--wait`, `-w`

  Wait for a card to be inserted

## Authors

`eidenv` utility was written by Stef Hoeben and Martin Paljak martin@martinpaljak.net.